### Class

# Foundry GitDiffLine

#### Description

    final class Foundry.GitDiffLine : Foundry.VcsDiffLine
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- FoundryVcsDiffLine
- GObject

#### Instance methods

##### Methods inherited from FoundryVcsDiffLine (6)

###### foundry_vcs_diff_line_dup_text

No description available.

###### foundry_vcs_diff_line_get_has_newline

No description available.

###### foundry_vcs_diff_line_get_length

No description available.

###### foundry_vcs_diff_line_get_new_line

No description available.

###### foundry_vcs_diff_line_get_old_line

No description available.

###### foundry_vcs_diff_line_get_origin

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from FoundryVcsDiffLine (6)

###### Foundry.VcsDiffLine:has-newline

No description available.

###### Foundry.VcsDiffLine:length

No description available.

###### Foundry.VcsDiffLine:new-line

No description available.

###### Foundry.VcsDiffLine:old-line

No description available.

###### Foundry.VcsDiffLine:origin

No description available.

###### Foundry.VcsDiffLine:text

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryGitDiffLineClass {
      FoundryVcsDiffLineClass parent_class;

    }

No description available.

###### Class members

`parent_class: FoundryVcsDiffLineClass`

  No description available.